## mpv-2025.12.22.tar.xz

=== ffmpeg/libavcodec/vulkan/Makefile ===
GEN_CLEANSUFFIXES = *.o *.c *.d

clean::
	$(RM) $(GEN_CLEANSUFFIXES:%=libavcodec/vulkan/%)

OBJS-$(CONFIG_FFV1_VULKAN_ENCODER)  +=  vulkan/common.o \
					vulkan/rangecoder.o vulkan/ffv1_vlc.o \
					vulkan/ffv1_common.o vulkan/ffv1_reset.o \
					vulkan/ffv1_enc_setup.o vulkan/ffv1_enc.o \
					vulkan/ffv1_rct_search.o

OBJS-$(CONFIG_FFV1_VULKAN_HWACCEL)  +=  vulkan/common.o \
					vulkan/rangecoder.o vulkan/ffv1_vlc.o \
					vulkan/ffv1_common.o vulkan/ffv1_reset.o \
					vulkan/ffv1_dec_setup.o vulkan/ffv1_dec.o

OBJS-$(CONFIG_PRORES_RAW_VULKAN_HWACCEL) += vulkan/common.o \
                                            vulkan/prores_raw_decode.o \
                                            vulkan/prores_raw_idct.o

OBJS-$(CONFIG_PRORES_VULKAN_HWACCEL) += vulkan/common.o \
                                        vulkan/prores_vld.o \
                                        vulkan/prores_idct.o

OBJS-$(CONFIG_DPX_VULKAN_HWACCEL) += vulkan/common.o \
                                     vulkan/dpx_unpack.o \
                                     vulkan/dpx_copy.o

VULKAN = $(subst $(SRC_PATH)/,,$(wildcard $(SRC_PATH)/libavcodec/vulkan/*.comp))
.SECONDARY: $(VULKAN:.comp=.c)
libavcodec/vulkan/%.c: TAG = VULKAN
libavcodec/vulkan/%.c: $(SRC_PATH)/libavcodec/vulkan/%.comp
	$(M)$(SRC_PATH)/tools/source2c $< $@

=== ffmpeg/libavutil/aarch64/Makefile ===
OBJS += aarch64/cpu.o                                                 \
        aarch64/float_dsp_init.o                                      \
        aarch64/tx_float_init.o                                       \

NEON-OBJS += aarch64/float_dsp_neon.o                                 \
             aarch64/tx_float_neon.o                                  \

SVE-OBJS += aarch64/cpu_sve.o                                         \

SME-OBJS += aarch64/cpu_sme.o                                         \

=== ffmpeg/tests/checkasm/Makefile ===
# libavcodec tests
# subsystems
AVCODECOBJS-$(CONFIG_AC3DSP)            += ac3dsp.o
AVCODECOBJS-$(CONFIG_AUDIODSP)          += audiodsp.o
AVCODECOBJS-$(CONFIG_BLOCKDSP)          += blockdsp.o
AVCODECOBJS-$(CONFIG_BSWAPDSP)          += bswapdsp.o
AVCODECOBJS-$(CONFIG_FDCTDSP)           += fdctdsp.o
AVCODECOBJS-$(CONFIG_FMTCONVERT)        += fmtconvert.o
AVCODECOBJS-$(CONFIG_G722DSP)           += g722dsp.o
AVCODECOBJS-$(CONFIG_H263DSP)           += h263dsp.o
AVCODECOBJS-$(CONFIG_H264CHROMA)        += h264chroma.o
AVCODECOBJS-$(CONFIG_H264DSP)           += h264dsp.o
AVCODECOBJS-$(CONFIG_H264PRED)          += h264pred.o
AVCODECOBJS-$(CONFIG_H264QPEL)          += h264qpel.o
AVCODECOBJS-$(CONFIG_HPELDSP)           += hpeldsp.o
AVCODECOBJS-$(CONFIG_IDCTDSP)           += idctdsp.o
AVCODECOBJS-$(CONFIG_LLAUDDSP)          += llauddsp.o
AVCODECOBJS-$(CONFIG_LLVIDDSP)          += llviddsp.o
AVCODECOBJS-$(CONFIG_LLVIDENCDSP)       += llvidencdsp.o
AVCODECOBJS-$(CONFIG_LPC)               += lpc.o
AVCODECOBJS-$(CONFIG_ME_CMP)            += motion.o
AVCODECOBJS-$(CONFIG_MPEGVIDEO)         += mpegvideo_unquantize.o
AVCODECOBJS-$(CONFIG_MPEGVIDEOENCDSP)   += mpegvideoencdsp.o
AVCODECOBJS-$(CONFIG_QPELDSP)           += qpeldsp.o
AVCODECOBJS-$(CONFIG_VC1DSP)            += vc1dsp.o
AVCODECOBJS-$(CONFIG_VP3DSP)            += vp3dsp.o
AVCODECOBJS-$(CONFIG_VP8DSP)            += vp8dsp.o
AVCODECOBJS-$(CONFIG_VIDEODSP)          += videodsp.o

# decoders/encoders
AVCODECOBJS-$(CONFIG_AAC_DECODER)       += aacpsdsp.o \
                                           sbrdsp.o
AVCODECOBJS-$(CONFIG_AAC_ENCODER)       += aacencdsp.o
AVCODECOBJS-$(CONFIG_ALAC_DECODER)      += alacdsp.o
AVCODECOBJS-$(CONFIG_APV_DECODER)       += apv_dsp.o
AVCODECOBJS-$(CONFIG_CAVS_DECODER)      += cavsdsp.o
AVCODECOBJS-$(CONFIG_DCA_DECODER)       += dcadsp.o synth_filter.o
AVCODECOBJS-$(CONFIG_DIRAC_DECODER)     += diracdsp.o
AVCODECOBJS-$(CONFIG_EXR_DECODER)       += exrdsp.o
AVCODECOBJS-$(CONFIG_FLAC_DECODER)      += flacdsp.o
AVCODECOBJS-$(CONFIG_HUFFYUV_DECODER)   += huffyuvdsp.o
AVCODECOBJS-$(CONFIG_JPEG2000_DECODER)  += jpeg2000dsp.o
AVCODECOBJS-$(CONFIG_OPUS_DECODER)      += opusdsp.o
AVCODECOBJS-$(CONFIG_PIXBLOCKDSP)       += pixblockdsp.o
AVCODECOBJS-$(CONFIG_HEVC_DECODER)      += hevc_add_res.o hevc_deblock.o hevc_idct.o hevc_sao.o hevc_pel.o
AVCODECOBJS-$(CONFIG_RV34DSP)           += rv34dsp.o
AVCODECOBJS-$(CONFIG_RV40_DECODER)      += rv40dsp.o
AVCODECOBJS-$(CONFIG_SVQ1_ENCODER)      += svq1enc.o
AVCODECOBJS-$(CONFIG_TAK_DECODER)       += takdsp.o
AVCODECOBJS-$(CONFIG_UTVIDEO_DECODER)   += utvideodsp.o
AVCODECOBJS-$(CONFIG_V210_DECODER)      += v210dec.o
AVCODECOBJS-$(CONFIG_V210_ENCODER)      += v210enc.o
AVCODECOBJS-$(CONFIG_VORBIS_DECODER)    += vorbisdsp.o
AVCODECOBJS-$(CONFIG_VP6_DECODER)       += vp6dsp.o
AVCODECOBJS-$(CONFIG_VP9_DECODER)       += vp9dsp.o
AVCODECOBJS-$(CONFIG_VVC_DECODER)       += vvc_alf.o vvc_mc.o vvc_sao.o

CHECKASMOBJS-$(CONFIG_AVCODEC)          += $(AVCODECOBJS-yes)

# libavfilter tests
AVFILTEROBJS-$(CONFIG_SCENE_SAD)         += scene_sad.o
AVFILTEROBJS-$(CONFIG_AFIR_FILTER) += af_afir.o
AVFILTEROBJS-$(CONFIG_BLACKDETECT_FILTER) += vf_blackdetect.o
AVFILTEROBJS-$(CONFIG_BLEND_FILTER) += vf_blend.o
AVFILTEROBJS-$(CONFIG_BWDIF_FILTER)      += vf_bwdif.o
AVFILTEROBJS-$(CONFIG_COLORDETECT_FILTER)+= vf_colordetect.o
AVFILTEROBJS-$(CONFIG_COLORSPACE_FILTER) += vf_colorspace.o
AVFILTEROBJS-$(CONFIG_EQ_FILTER)         += vf_eq.o
AVFILTEROBJS-$(CONFIG_FSPP_FILTER)       += vf_fspp.o
AVFILTEROBJS-$(CONFIG_GBLUR_FILTER)      += vf_gblur.o
AVFILTEROBJS-$(CONFIG_HFLIP_FILTER)      += vf_hflip.o
AVFILTEROBJS-$(CONFIG_IDET_FILTER)       += vf_idet.o
AVFILTEROBJS-$(CONFIG_THRESHOLD_FILTER)  += vf_threshold.o
AVFILTEROBJS-$(CONFIG_NLMEANS_FILTER)    += vf_nlmeans.o
AVFILTEROBJS-$(CONFIG_SOBEL_FILTER)      += vf_convolution.o

CHECKASMOBJS-$(CONFIG_AVFILTER) += $(AVFILTEROBJS-yes)

# swscale tests
SWSCALEOBJS                             += sw_gbrp.o            \
                                           sw_ops.o             \
                                           sw_range_convert.o   \
                                           sw_rgb.o             \
                                           sw_scale.o           \
                                           sw_xyz2rgb.o         \
                                           sw_yuv2rgb.o         \
                                           sw_yuv2yuv.o

CHECKASMOBJS-$(CONFIG_SWSCALE)  += $(SWSCALEOBJS)

# libavutil tests
AVUTILOBJS                              += aes.o
AVUTILOBJS                              += av_tx.o
AVUTILOBJS                              += fixed_dsp.o
AVUTILOBJS                              += float_dsp.o
AVUTILOBJS                              += lls.o

CHECKASMOBJS-$(CONFIG_AVUTIL)  += $(AVUTILOBJS)

CHECKASMOBJS-$(ARCH_AARCH64)            += aarch64/checkasm.o
CHECKASMOBJS-$(HAVE_ARMV5TE_EXTERNAL)   += arm/checkasm.o
CHECKASMOBJS-$(HAVE_RV)                 += riscv/checkasm.o
CHECKASMOBJS-$(HAVE_X86ASM)             += x86/checkasm.o

CHECKASMOBJS += $(CHECKASMOBJS-yes) checkasm.o
CHECKASMOBJS := $(sort $(CHECKASMOBJS:%=tests/checkasm/%))

-include $(CHECKASMOBJS:.o=.d)

CHECKASMDIRS := $(sort $(dir $(CHECKASMOBJS)))
$(CHECKASMOBJS): | $(CHECKASMDIRS)
OUTDIRS += $(CHECKASMDIRS)

tests/checkasm/checkasm.o: CFLAGS += -Umain

CHECKASM := tests/checkasm/checkasm$(EXESUF)

$(CHECKASM): $(CHECKASMOBJS) $(FF_STATIC_DEP_LIBS)
	$(call LINK,$(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $(CHECKASMOBJS) $(FF_STATIC_DEP_LIBS) $(EXTRALIBS-avcodec) $(EXTRALIBS-avfilter) $(EXTRALIBS-avformat) $(EXTRALIBS-avutil) $(EXTRALIBS-swresample) $(EXTRALIBS))

run-checkasm: $(CHECKASM)
run-checkasm:
	$(Q)$(TARGET_EXEC) $(TARGET_PATH)/$(CHECKASM)

checkasm: $(CHECKASM)

testclean:: checkasmclean

checkasmclean:
	$(RM) $(CHECKASM) $(CLEANSUFFIXES:%=tests/checkasm/%) $(CLEANSUFFIXES:%=tests/checkasm/$(ARCH)/%)

.PHONY: checkasm

=== debian/changelog ===
mpv (2:2025.12.22.670a266475) UNRELEASED; urgency=medium

  * local build with ffmpeg 2:2025.12.22.eb3b632b48, libass 2:2025.12.18.cbb7432, libplacebo 2:2025.12.22.bc90ef94

 -- Local User <localuser@localhost>  Mon, 22 Dec 2025 19:21:11 +0100

=== debian/control ===
Source: mpv
Section: misc
Priority: optional
Maintainer: Kevin Mitchell <kevmitch@gmail.com>
Standards-Version: 3.9.3
Build-Depends:
 autoconf,
 automake,
 c-compiler | gcc,
 debhelper (>= 12),
 glslang-dev,
 ladspa-sdk,
 libasound2-dev [linux-any],
 libarchive-dev,
 libbluray-dev,
 libbs2b-dev,
 libcaca-dev,
 libcdio-paranoia-dev,
 libdisplay-info-dev,
 libdrm-dev,
 libdav1d-dev,
 libdvdnav-dev,
 libegl1-mesa-dev,
 libepoxy-dev,
 libfontconfig-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libgl1-mesa-dev,
 libgbm-dev,
 libgnutls-dev | libgnutls28-dev,
 libharfbuzz-dev,
 libjack-jackd2-dev | libjack-dev,
 libjpeg-dev,
 libbrotli-dev,
 liblcms2-dev,
 liblua5.2-dev | liblua5.1-0-dev,
 libmodplug-dev,
 libmp3lame-dev,
 libopenal-dev,
 libopus-dev,
 libopencore-amrnb-dev,
 libopencore-amrwb-dev,
 libpipewire-0.3-dev,
 libpulse-dev,
 librtmp-dev,
 librubberband-dev,
 libsixel-dev,
 libssh-dev,
 libsoxr-dev,
 libspeex-dev,
 libtool,
 libuchardet-dev,
 libv4l-dev [!hurd-any],
 libva-dev [!hurd-any],
 libvdpau-dev,
 libvorbis-dev,
 libvo-amrwbenc-dev,
 libunwind-dev,
 libvpx-dev,
 libvulkan-dev,
 libwayland-dev,
 libx264-dev,
 libx11-dev,
 libxext-dev,
 libxkbcommon-dev,
 libxpresent-dev,
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 libxvidcore-dev,
 linux-libc-dev [linux-any],
 meson,
 nasm,
 ninja-build,
 pkg-config,
 python3,
 python3-docutils,
 wayland-protocols,
 x11proto-core-dev,
 zlib1g-dev

Package: mpv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-mesa-dri,
 i965-va-driver | libva-intel-vaapi-driver | va-driver,
 mesa-vdpau-drivers | nvidia-vdpau-driver | nvidia-driver-binary | nvidia-current | vdpau-driver
Suggests: libaacs0
Description: mplayer/mplayer2 based video player
 mpv is a versatile CLI media player, based on mplayer and mplayer2.
 .
 This package is not part of Debian. It was created by mpv-build scripts with
 statically linked ffmpeg, libass and libplacebo from upstream.
Homepage: https://github.com/mpv-player/mpv-build
